## org.codehaus.groovy.grails.web.pages.ext.jsp
Interface JspTag

    public interface JspTag

An interface that represents a JSP tag that can be invoked by Grails

Method Summary
`void` `doTag(Writer targetWriter, Map attributes)` Main method to invoke a tag library and output to the target write
`void` `doTag(Writer targetWriter, Map attributes, groovy.lang.Closure body)` Invokes a tag with a closure representing the body of the tag
`boolean` `isBodyTag()`
`boolean` `isIterationTag()`
`boolean` `isTryCatchFinallyTag()`

Method Detail

### doTag

    void doTag(Writer targetWriter,
               Map attributes)

  Main method to invoke a tag library and output to the target write

  Parameters:
    `targetWriter` - The writer the tag should write to
    `attributes` - The tag attributes

### doTag

    void doTag(Writer targetWriter,
               Map attributes,
               groovy.lang.Closure body)

  Invokes a tag with a closure representing the body of the tag

  Parameters:
    `targetWriter` - The target writer to write to
    `attributes` - The tag attributes
    `body` - The body of the tag

### isTryCatchFinallyTag

    boolean isTryCatchFinallyTag()

  Returns:
    Return true if the tag class implements the TryCatchFinally interface

### isIterationTag

    boolean isIterationTag()

  Returns:
    Return true if the tag class implements the IterationTag interface

### isBodyTag

    boolean isBodyTag()

  Returns:
    Return true if the tag class implements the BodyTag interface

Copyright (c) 2005-2009 The Grails project